class ContinuationPlugins {
 private:
  typedef struct {
    string cmd;
    unsigned int to;
  } command_t;
  command_t commands[JOB_STATE_NUM];
 public:
  ContinuationPlugins(void); 
  ~ContinuationPlugins(void); 
  bool add(job_state_t state,unsigned int timeout,const char* command);
  bool add(const char* state,unsigned int timeout,const char* command);
  bool run(const JobDescription &job,const JobUser& user,int& result,string& response);
};

