#include "../jobs/users.h"
#include "../files/info_files.h"
#include "../files/info_types.h"
#include <globus_common.h>
#include <globus_rsl.h>

bool parse_rsl_for_action(const char* fname,string &action_s,string &jobid_s,string &lrms,string &queue);
bool parse_rsl(const string &fname,JobLocalDescription &job_desc);
bool preprocess_rsl(const string &fname,const string &session_dir,const string &jobid);
bool process_rsl(JobUser &user,const JobDescription &desc);
bool process_rsl(JobUser &user,const JobDescription &desc,JobLocalDescription &job_desc);
bool write_grami(const JobDescription &desc,const JobUser &user,const string &session_dir,JobLocalDescription &job_desc,const char *opt_add = NULL);
string read_grami(const JobId &job_id,const JobUser &user,const string &session_dir);
bool set_execs(const JobId &job_id,const JobUser &user,const string &session_dir);
globus_rsl_t* read_rsl(const string &fname);

